Package it.ernytech.tdlib

## Class TdApi.InputMessageInvoice

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputMessageContent
    - - it.ernytech.tdlib.TdApi.InputMessageInvoice

Enclosing class:
  TdApi

    public static class TdApi.InputMessageInvoice
    extends TdApi.InputMessageContent

A message with an invoice; can be used only by bots and only in private chats.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `description` Product description; 0-255 characters.
`TdApi.Invoice` `invoice` Invoice.
`byte[]` `payload` The invoice payload.
`int` `photoHeight` Product photo height.
`int` `photoSize` Product photo size.
`java.lang.String` `photoUrl` Product photo URL; optional.
`int` `photoWidth` Product photo width.
`java.lang.String` `providerData` JSON-encoded data about the invoice, which will be shared with the payment provider.
`java.lang.String` `providerToken` Payment provider token.
`java.lang.String` `startParameter` Unique invoice bot startParameter for the generation of this invoice.
`java.lang.String` `title` Product title; 1-32 characters.

### Constructor Summary

Constructors
`InputMessageInvoice()` Default constructor.
`InputMessageInvoice​(TdApi.Invoice invoice, java.lang.String title, java.lang.String description, java.lang.String photoUrl, int photoSize, int photoWidth, int photoHeight, byte[] payload, java.lang.String providerToken, java.lang.String providerData, java.lang.String startParameter)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### invoice

    public TdApi.Invoice invoice

Invoice.

#### title

    public java.lang.String title

Product title; 1-32 characters.

#### description

    public java.lang.String description

Product description; 0-255 characters.

#### photoUrl

    public java.lang.String photoUrl

Product photo URL; optional.

#### photoSize

    public int photoSize

Product photo size.

#### photoWidth

    public int photoWidth

Product photo width.

#### photoHeight

    public int photoHeight

Product photo height.

#### payload

    public byte[] payload

The invoice payload.

#### providerToken

    public java.lang.String providerToken

Payment provider token.

#### providerData

    public java.lang.String providerData

JSON-encoded data about the invoice, which will be shared with the payment provider.

#### startParameter

    public java.lang.String startParameter

Unique invoice bot startParameter for the generation of this invoice.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputMessageInvoice

    public InputMessageInvoice()

Default constructor.

#### InputMessageInvoice

    public InputMessageInvoice​(TdApi.Invoice invoice,
                               java.lang.String title,
                               java.lang.String description,
                               java.lang.String photoUrl,
                               int photoSize,
                               int photoWidth,
                               int photoHeight,
                               byte[] payload,
                               java.lang.String providerToken,
                               java.lang.String providerData,
                               java.lang.String startParameter)

Constructor for initialization of all fields.

Parameters:
  `invoice` - Invoice.
  `title` - Product title; 1-32 characters.
  `description` - Product description; 0-255 characters.
  `photoUrl` - Product photo URL; optional.
  `photoSize` - Product photo size.
  `photoWidth` - Product photo width.
  `photoHeight` - Product photo height.
  `payload` - The invoice payload.
  `providerToken` - Payment provider token.
  `providerData` - JSON-encoded data about the invoice, which will be shared with the payment provider.
  `startParameter` - Unique invoice bot startParameter for the generation of this invoice.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR